#ifndef _MTEXTURE_H_
#define _MTEXTURE_H_

// volitelne parametre textury
enum {
 TEXTURE_CLAMP=1<<0,
 TEXTURE_TRILINEAR=1<<1
};

// trieda premennych a funkcii pre pracu s OpenGL texturami
class mTexture {
public:
 mTexture();          // konstruktor
 virtual ~mTexture(); // destruktor

 GLuint texture_id[100]; // identifikatory nahravanych textur

 int LoadTexture(GLuint id,char *myfile,GLuint mode); // nahratie textury
 void FreeTexture(GLuint id);                         // zrusenie OpenGL textury

 GLuint crosshair_tex_id; // identifikator textury zameriavacieho kriza

 int LoadCrosshairTexture(char *myfile); // nahratie textury zameriavacieho kriza
 int DrawCrosshair(GLfloat w,GLfloat h); // vykreslenie zameriavacieho kriza
private:
 // alokovanie miesta pre data textury
 SDL_Surface *TextureImage;
};

#endif
